For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
      • POSTUpload files
      • POSTUpload files by URL
      • GETGet file information by ID
      • POSTUpload single document file
      • POSTUpload single file by URL
  • Main Reference
LogoLogo
Ingest ReferenceFiles

Upload files

POST
https://api.invofox.com/v1/ingest/uploads
POST
/v1/ingest/uploads
1const url = 'https://api.invofox.com/v1/ingest/uploads';
2const form = new FormData();
3form.append('urls', '');
4form.append('info', '');
5
6const options = {method: 'POST', headers: {'x-api-key': '<apiKey>'}};
7
8options.body = form;
9
10try {
11 const response = await fetch(url, options);
12 const data = await response.json();
13 console.log(data);
14} catch (error) {
15 console.error(error);
16}
1{
2 "accountId": "66d721ec7edc0baa3794eec1",
3 "environmentId": "66d721f5ee90270bfac654a0",
4 "importId": "66d711d737c788ba24e17734",
5 "files": [
6 {
7 "filename": "file.pdf",
8 "id": "66d721ec7edc0baa3794eec1",
9 "documentId": "66d71d63c9d0d2adc038b076"
10 }
11 ]
12}
Upload a file or a group of files of the same type (invoice, deliveryNote... or one of your custom types) to your environment. Each file is then processed asynchronously. Allowed formats are - images: .jpeg, .jpg, .png, .tiff - PDFs: .pdf - Compressed files: .zip One of the parameters files or urls must be provided and can also be combined.
Was this page helpful?

Upload files by URL

Next
Built with

Upload a file or a group of files of the same type (invoice, deliveryNote… or one of your custom types) to your environment. Each file is then processed asynchronously. Allowed formats are

  • images: .jpeg, .jpg, .png, .tiff
  • PDFs: .pdf
  • Compressed files: .zip

One of the parameters files or urls must be provided and can also be combined.

Authentication

x-api-keystring

API key authentication for programmatic access. Used by server-to-server integrations and API clients.

OR
x-access-tokenstring

Access token authentication for web users. Used by browser-based applications and authenticated user sessions.

Request

Upload files with optional URLs and metadata
filesfilesOptional
Binary files to upload via multipart/form-data. **Supported formats:** - **Images:** .jpeg, .jpg, .png, .tiff - **PDFs:** .pdf - **Compressed files:** .zip (for bulk uploads) **Note:** Upload actual binary file data, not file paths or strings. Use standard HTML file input or equivalent HTTP multipart upload. **Filename Encoding Limitation:** Due to RFC 2388 multipart/form-data specification, filenames are limited to Latin-1 (ISO-8859-1) character encoding. Non-ASCII characters (e.g., UTF-8 Unicode) in filenames will appear corrupted. For best compatibility, use ASCII-safe characters in filenames or implement client-side filename encoding.
urlslist of stringsOptionalDeprecated

DEPRECATED: Use the /v1/ingest/by-url endpoint instead for URL-based uploads.

Array of URLs from which files will be downloaded and processed. This field is maintained for backward compatibility but should not be used in new integrations.

infoobjectOptional
Information to map to the uploaded files in JSON format

Response

URL to upload created
accountIdstring
Account ID that the files were uploaded to
environmentIdstring
Environment ID that the files were uploaded to
importIdstring
Import ID that was registered
fileslist of objects
Array of uploaded files information

Errors

400
Bad Request Error
413
Content Too Large Error

Binary files to upload via multipart/form-data.

Supported formats:

  • Images: .jpeg, .jpg, .png, .tiff
  • PDFs: .pdf
  • Compressed files: .zip (for bulk uploads)

Note: Upload actual binary file data, not file paths or strings. Use standard HTML file input or equivalent HTTP multipart upload.

Filename Encoding Limitation: Due to RFC 2388 multipart/form-data specification, filenames are limited to Latin-1 (ISO-8859-1) character encoding. Non-ASCII characters (e.g., UTF-8 Unicode) in filenames will appear corrupted. For best compatibility, use ASCII-safe characters in filenames or implement client-side filename encoding.